package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongzq
 */
public class TraderOrderDetailReq implements Serializable {
    @NotBlank
    private String detailId;

    private String materialId;

    @NotNull
    private BigDecimal amount;

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String toString() {
        return "TraderOrderDetailReq{" +
                "detailId='" + detailId + '\'' +
                ", materialId='" + materialId + '\'' +
                ", amount=" + amount +
                '}';
    }
}
